libogg documentation | libogg release 1.3.5 - 20210603

# oggpack_writecopy

declared in "ogg/ogg.h";

This function copies a sequence of bits from a source buffer into an oggpack_buffer.

The oggpack_buffer must already be initialized for writing using oggpack_writeinit.

Only 32 bits can be written at a time.

    void  oggpack_writecopy(oggpack_buffer *b, void *source, long bits);

### Parameters

b
  Buffer to be used for writing.
source
  A pointer to the data to be written into the buffer.
bits
  The number of bits to be copied into the buffer.

### Return Values

> - No values are returned.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.5 - 20210603